Bug 33550 - Portable PDB doesn't to work when Assembly.Load(byte[], byte[]) called
Summary: Portable PDB doesn't to work when Assembly.Load(byte[], byte[]) called
Status: RESOLVED FIXED
Alias: None
Product: Runtime
Classification: Mono
Component: Debugger (show other bugs)
Version: 4.2.0 (C6)
Hardware: PC Mac OS
: --- normal
Target Milestone: ---
Assignee: Zoltan Varga
URL:
Depends on:
Blocks:
 
Reported: 2015-09-01 13:32 UTC by David Fowler
Modified: 2015-09-02 03:38 UTC (History)
2 users (show)

See Also:
Tags:
Is this bug a regression?: ---
Last known good build:


Attachments

Description David Fowler 2015-09-01 13:32:11 UTC
I'm adding support to the DNX compiler to generate portable PDBs when running on mono or core clr (xplat) https://github.com/aspnet/dnx/compare/portable-pdbs. When running this change on mono 4.2 I see this message when I run with assemblies loaded from memory:

Symbol file LoadedFromMemory is not a mono symbol file
System.InvalidOperationException: Operation is not valid due to the current state of the object.
  at Program.Main () <0x3fe6ff8 + 0x0001f> in <filename unknown>:0
  at (wrapper managed-to-native) System.Reflection.MonoMethod:InternalInvoke (System.Reflection.MonoMethod,object,object[],System.Exception&)
  at System.Reflection.MonoMethod.Invoke (System.Object obj, BindingFlags invokeAttr, System.Reflection.Binder binder, System.Object[] parameters, System.Globalization.CultureInfo culture) [0x00038] in /private/tmp/source-mono-mac-4.2.0-pre2-branch/bockbuild-mono-4.2.0-pre2-branch/profiles/mono-mac-xamarin/build-root/mono-4.2.0/mcs/class/corlib/System.Reflection/MonoMethod.cs:295
--- End of stack trace from previous location where exception was thrown ---
  at System.Runtime.ExceptionServices.ExceptionDispatchInfo.Throw () [0x0000c] in /private/tmp/source-mono-mac-4.2.0-pre2-branch/bockbuild-mono-4.2.0-pre2-branch/profiles/mono-mac-xamarin/build-root/mono-4.2.0/external/referencesource/mscorlib/system/runtime/exceptionservices/exceptionservicescommon.cs:143
  at Microsoft.Dnx.Runtime.Common.EntryPointExecutor.Execute (System.Reflection.Assembly assembly, System.String[] args, IServiceProvider serviceProvider) <0x3fe65e8 + 0x00197> in <filename unknown>:0
  at Microsoft.Dnx.ApplicationHost.Program.ExecuteMain (Microsoft.Dnx.ApplicationHost.DefaultHost host, System.String applicationName, System.String[] args) <0x2ae32b0 + 0x002b7> in <filename unknown>:0
  at Microsoft.Dnx.ApplicationHost.Program.Main (System.String[] args) <0x6da1f0 + 0x00417> in <filename unknown>:0
--- End of stack trace from previous location where exception was thrown ---
   at System.Runtime.ExceptionServices.ExceptionDispatchInfo.Throw () in /private/tmp/source-mono-mac-4.2.0-pre2-branch/bockbuild-mono-4.2.0-pre2-branch/profiles/mono-mac-xamarin/build-root/mono-4.2.0/external/referencesource/mscorlib/system/runtime/exceptionservices/exceptionservicescommon.cs:line 143
   at Microsoft.Dnx.Runtime.Common.EntryPointExecutor.Execute (System.Reflection.Assembly assembly, System.String[] args, IServiceProvider serviceProvider) in <filename unknown>:line 0
   at Microsoft.Dnx.Host.Bootstrapper.RunAsync (System.Collections.Generic.List`1 args, IRuntimeEnvironment env, System.Runtime.Versioning.FrameworkName targetFramework) in <filename unknown>:line 0
Comment 1 Zoltan Varga 2015-09-01 15:06:21 UTC
Should be fixed in mono master f0e244a33e90b49b6d5365da30ae228f68ef0613/mono-4.2.0-branch cd90e8c706cbbc4889c9efca8fdf43fd1b0eb442.
Comment 2 David Fowler 2015-09-02 03:38:38 UTC
Wow that was fast :)

Notice (2018-05-21): bugzilla.xamarin.com will be switching to read-only mode on Thursday, 2018-05-25 22:00 UTC.

Please join us on Visual Studio Developer Community and GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs and copy them to the new locations as needed for follow-up. The See Also field on each Bugzilla bug will be updated with a link to its new location when applicable.

After Bugzilla is read-only, if you have new information to add for a bug that does not yet have a matching issue on Developer Community or GitHub, you can create a follow-up issue in the new location. Copy and paste the title and description from this bug, and then add your new details. You can get a pre-formatted version of the title and description here:

In special cases you might also want the comments:

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.

Note You need to log in before you can comment on or make changes to this bug.